package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ContactsList {

        /**
         * records : [{"createdBy":111,"createdByName":null,"createdTime":"2019-11-25 11:31:32","updatedBy":143,"updatedByName":null,"updatedTime":"2019-12-31 13:49:23","id":40,"name":"北京首鑫联合耐火材料有限公司1","contacter":"吕届蜂","address":"No 1173 Street , Ste. 7681","phone":"15020055000","erpId":"89","productId":null,"partTypeRelList":null,"processRelList":null,"processList":null,"referProcessList":null,"partTypeNames":"供应商","partTypeCode":null,"accountId":null,"accountName":null,"deptName":null,"channelPrice":null,"deptIdList":null,"supplier":null,"customer":null,"transporters":null,"processes":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<ContactsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<ContactsBean> getRecords() {
            return records;
        }

        public void setRecords(List<ContactsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

}
